org.eclipse.emf.cdo.ui

## Class CDOEventHandler

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOEventHandler

-     public class CDOEventHandler
      extends java.lang.Object

  A class that handles `events` on `TreeViewer`-based editors or views.
  Author:
    Eike Stepper
  See Also:
    `IEvent`, `TreeViewer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOEventHandler(CDOView view, TreeViewer treeViewer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `TreeViewer` | `getTreeViewer()`
    `CDOView` | `getView()`
    `boolean` | `isAutoReloadEnabled()`
    `protected void` | `objectInvalidated(InternalCDOObject cdoObject)`
    `protected void` | `objectStateChanged(CDOObject cdoObject)`
    `void` | `refreshTreeViewer()`
    `void` | `setTreeViewer(TreeViewer viewer)`
    `protected void` | `unwirePreferences()`
    `void` | `updateElement(java.lang.Object element)`
    `protected void` | `viewClosed()`
    `protected void` | `viewConflict(CDOObject conflictingObject, boolean firstConflict)`
    `protected void` | `viewDirtyStateChanged()`
    `protected void` | `viewInvalidated(java.util.Set<? extends CDOObject> dirtyObjects)`
    `protected void` | `wirePreferences()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOEventHandler

          public CDOEventHandler(CDOView view,
                                 TreeViewer treeViewer)

      Since:
        2.0

  - ### Method Detail

    - #### dispose

          public void dispose()

      Since:
        2.0

    - #### getView

          public CDOView getView()

      Since:
        2.0

    - #### getTreeViewer

          public TreeViewer getTreeViewer()

    - #### setTreeViewer

          public void setTreeViewer(TreeViewer viewer)

      Since:
        2.0

    - #### refreshTreeViewer

          public void refreshTreeViewer()

      Since:
        2.0

    - #### updateElement

          public void updateElement(java.lang.Object element)

      Since:
        4.4

    - #### isAutoReloadEnabled

          public boolean isAutoReloadEnabled()

      Since:
        2.0

    - #### wirePreferences

          protected void wirePreferences()

      Since:
        2.0

    - #### unwirePreferences

          protected void unwirePreferences()

      Since:
        2.0

    - #### objectStateChanged

          protected void objectStateChanged(CDOObject cdoObject)

      Since:
        4.3

    - #### objectInvalidated

          protected void objectInvalidated(InternalCDOObject cdoObject)

      Since:
        2.0

    - #### viewInvalidated

          protected void viewInvalidated(java.util.Set<? extends CDOObject> dirtyObjects)

      Since:
        2.0

    - #### viewDirtyStateChanged

          protected void viewDirtyStateChanged()

    - #### viewConflict

          protected void viewConflict(CDOObject conflictingObject,
                                      boolean firstConflict)

    - #### viewClosed

          protected void viewClosed()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html